getLoadBalancerRuleList

Prev Next

Available in VPC

View the list of rules registered to the load balancer listener.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /vloadbalancer/v2/getLoadBalancerRuleList

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the load balancer listener where the list of rules you want to view is registered
  • First Region of the getRegionList search result (default)
  • See getRegionList
loadBalancerListenerNo String Required Number of the load balancer listener
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/getLoadBalancerRuleList?regionCode=KR&loadBalancerListenerNo=******' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See LoadBalancerRuleList for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The following is a sample response.

<getLoadBalancerRuleListResponse>
    <requestId>76f1860a-da5f-4673-8999-3d550cdaee6e</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <loadBalancerRuleList>
        <loadBalancerRule>
            <loadBalancerListenerNo>******</loadBalancerListenerNo>
            <loadBalancerRuleNo>******</loadBalancerRuleNo>
            <priority>10000</priority>
            <loadBalancerRuleConditionList>
                <loadBalancerRuleCondition>
                    <ruleConditionType>
                        <code>DEFAULT</code>
                        <codeName>Default condition</codeName>
                    </ruleConditionType>
                </loadBalancerRuleCondition>
            </loadBalancerRuleConditionList>
            <loadBalancerRuleActionList>
                <loadBalancerRuleAction>
                    <ruleActionType>
                        <code>TARGET_GROUP</code>
                        <codeName>Target Group action</codeName>
                    </ruleActionType>
                    <targetGroupAction>
                        <targetGroupWeightList>
                            <targetGroupWeight>
                                <targetGroupNo>*******</targetGroupNo>
                                <weight>1</weight>
                            </targetGroupWeight>
                        </targetGroupWeightList>
                        <useStickySession>false</useStickySession>
                    </targetGroupAction>
                </loadBalancerRuleAction>
            </loadBalancerRuleActionList>
        </loadBalancerRule>
    </loadBalancerRuleList>
</getLoadBalancerRuleListResponse>